<?php

require_once './functions.php';

$favicon    = FAVICON;
$logTitle   = LOG_TITLE;
$title      = MAIN_TITLE;
$file       = MAIN_FILE;
$linkCss    = $file == ''  ? 'none' : 'block';
$lines      = LINE_LIMIT;
$maxPage    = MAX_PAGE;
$color0     = COLOR_0;
$color1     = COLOR_1;
$color2     = COLOR_2;
$color3     = COLOR_3;
$color4     = COLOR_4;
$separator  = SEPA;
$timeline   = TIME_LINE;
$btmtopCss  = $timeline == 'top'  ? 'bottom' : 'top';
$topbtmCss  = $timeline == 'top'  ? 'top' : 'bottom';
$arrowCss   = $timeline == 'top'  ? 'up' : 'down';

$page = $_GET['p'] ?? '';
  if(empty($page)) {
    exit('URLが不正です。');
  }

// 総投稿件数を取得
$count = lineCount();
$allpage = ceil($count / $lines);

// 最大ページ制限
  if ($allpage > $maxPage) {
    $allpage = $maxPage;
  }

  if ($allpage < 2) {
    exit('過去ログが必要な件数に達していません。');
  }

$skip = $lines * ($page-1);
$result = getData($skip, $lines);

// 「お名前」の配列リストを作成
foreach ($result as $a){
  $array[] = $a['name'];
}
$val = array_unique($array);
$array = array_values($val);

if ($timeline != 'top') {
$result = array_reverse($result);
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width">
<title><?php echo h($logTitle) ?></title>
<link rel="icon" href="<?php echo $favicon ?>">
<style>
body {
  color: black;
  background-color: white;
}
#title {
  font-size: xx-large;
  font-weight: bold;
  text-decoration: underline;
  text-align: center;
}
form {
  text-align: center;
<?php if ($timeline == 'top'): ?>
  margin-bottom: 1em;
<?php endif; ?>
}
.line {
  color: <?php echo $color4 ?>;
  border-<?php echo $btmtopCss ?>: 1px black solid;
  padding: 0.2em;
}
.lines {
  text-align: center;
  font-size: small;
}
.color0 {
  color: <?php echo $color0 ?>;
}
.color1 {
  color: <?php echo $color1 ?>;
}
.color2 {
  color: <?php echo $color2 ?>;
}
.color3 {
  color: <?php echo $color3 ?>;
}
.arrowup {
  margin: 0.4em auto;
  width: 8em;
  height: 1em;
  background-color: gray;
  clip-path: polygon(50% 0, 0 100%, 100% 100%);
}
.arrowdown {
  margin: 0.4em auto;
  width: 8em;
  height: 1em;
  background-color: gray;
  clip-path: polygon(50% 100%, 0 0, 100% 0);
}
#main {
  margin-<?php echo $topbtmCss ?>: 0.3em;
  display: <?php echo $linkCss ?>;
}
#main a {
  color: blue;
  font-style: italic;
  text-decoration: none;
}
#ver {
  text-align: right;
  font-size: small;
}
#ver a {
  color: gray;
  text-decoration: none;
}
</style>
</head>
<body>
<div id="title"><?php echo h($logTitle) ?></div>
<div class="arrow<?php echo $arrowCss ?>"></div>
<form>
<select id="selectPage" name="p">
<?php for ($i=1; $i<=$allpage; $i++) : ?>
<?php
// select option 作成
$start = $lines * ($i - 1) + 1;
$end = $start + $lines -1;
$end = $end > $count  ? $count : $end;
?>
<option value="<?php echo $i ?>" <?php if($i == $page) echo "selected" ?>><?php echo $start . '-' . $end ?><?php if($i == $page) echo " &#10004;" ?></option>
<?php endfor; ?>
</select>
</form>

<?php if ($timeline != 'top'): ?>
<div id="main">&lt;&lt; <a href="<?php echo $file ?>"><?php echo $title ?></a></div>
<?php endif; ?>

    <?php foreach($result as $column): ?>
      <div class="line color<?php echo h(array_keys($array, $column['name'])[0]) ?>">
      <?php echo h($column['name']) ?><?php echo h($separator) ?><?php echo urlText($column['comment']) ?> (<?php echo h($column['date']) ?>)
      </div>
    <?php endforeach; ?>

<?php if ($timeline == 'top'): ?>
<div id="main">&lt;&lt; <a href="<?php echo $file ?>"><?php echo $title ?></a></div>
<?php endif; ?>

<div class="arrow<?php echo $arrowCss ?>"></div>
<div class="lines">
1ページの最大表示件数は、<?php echo $lines ?>件です。
</div>
<div id="ver"><a href="https://www.wave440.com/onebbs/" target="_blank">Ver.1.1</a></div>
<script>
const selectElement = document.querySelector('#selectPage');

selectElement.addEventListener('change', (event) => {
  location.href = './log.php?p=' + event.target.value;
});
</script>
</body>
</html>
